import React from "react";
import { Provider } from "react-redux";
export function withRedux(store) {
  return function (WrappedComponent) {
    return function (props) {
      return /*#__PURE__*/React.createElement(Provider, {
        store: store
      }, /*#__PURE__*/React.createElement(WrappedComponent, props));
    };
  };
}