import { BundlerOption, Code, FileBundlingOption } from "../models/compiler";
export declare function tabbed(code: string): string;
export declare function packing(code: string, { context, fileName }: FileBundlingOption): string;
export declare function initTranspile(option: FileBundlingOption): string;
export declare function transpileReact(code: string): string;
export declare function transpileVue(code: string): string;
export declare function transpileVueApp(appCode: string): string;
export declare function transpileReactApp(appCode: string): string;
export declare function importModule(code: string, context: string): string;
export declare function exportModule(code: string, { context, fileName }: FileBundlingOption): string;
export declare function bundleFile(code: string, option: FileBundlingOption): string;
export declare function bundleModule({ app, files }: Code, option: BundlerOption): string;
