"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withRedux = withRedux;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function withRedux(store) {
  return function (WrappedComponent) {
    return function (props) {
      return /*#__PURE__*/_react["default"].createElement(_reactRedux.Provider, {
        store: store
      }, /*#__PURE__*/_react["default"].createElement(WrappedComponent, props));
    };
  };
}
//# sourceMappingURL=redux.js.map
