import { configureStore } from "@reduxjs/toolkit";
import fileReducer from "./fileSlice";
import dragReducer from "./dragSlice";
var store = configureStore({
  reducer: {
    files: fileReducer,
    drag: dragReducer
  }
});
export var cloneStore = function cloneStore() {
  return configureStore({
    reducer: {
      files: fileReducer,
      drag: dragReducer
    }
  });
};
export default store;