import * as process from "process";
import { bundleModule } from "../utilities/compiler";
self["process"] = process;

function createMessage(text) {
  console.log("%c[Bundler]: %c%s", "color: #0FF", "color: #FF0", text);
}

createMessage("Ready for bundling!");

onmessage = function onmessage(event) {
  var _event$data = event.data,
      code = _event$data.code,
      context = _event$data.context,
      target = _event$data.target;
  postMessage(bundleModule(code, {
    context: context,
    target: target,
    allowDependencies: true
  }));
};