/// <reference types="react" />
import CSS from "csstype";
interface FileBlockProps {
    name: string;
}
interface StaticFileBlockProps extends FileBlockProps {
    style: CSS.Properties;
}
interface InteractiveFileBlockProps extends FileBlockProps {
    onDrag: any;
    onTargeted: any;
}
export declare function StaticFileBlock({ name, style }: StaticFileBlockProps): JSX.Element;
export declare function InteractiveFileBlock({ name, onDrag, onTargeted }: InteractiveFileBlockProps): JSX.Element;
export {};
