import { FileContainer } from "./file";
export declare enum TargetFramework {
    REACT = 0,
    VUE = 1
}
export interface FileBundlingOption {
    context: string;
    target: TargetFramework;
    fileName: string;
}
export interface BundlerOption {
    context: string;
    target: TargetFramework;
    allowDependencies: boolean;
}
export interface Code {
    app: string;
    files: FileContainer;
}
