"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.cloneStore = void 0;

var _toolkit = require("@reduxjs/toolkit");

var _fileSlice = _interopRequireDefault(require("./fileSlice"));

var _dragSlice = _interopRequireDefault(require("./dragSlice"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var store = (0, _toolkit.configureStore)({
  reducer: {
    files: _fileSlice["default"],
    drag: _dragSlice["default"]
  }
});

var cloneStore = function cloneStore() {
  return (0, _toolkit.configureStore)({
    reducer: {
      files: _fileSlice["default"],
      drag: _dragSlice["default"]
    }
  });
};

exports.cloneStore = cloneStore;
var _default = store;
exports["default"] = _default;
//# sourceMappingURL=index.js.map
